using System.Collections.Generic;
using Plombir;

namespace LauncherGUI.ViewModels;

public partial class MainWindowViewModel : ViewModelBase
{
    public string Greeting { get; } = "Plombir launcher";

    private string? _userNick = ConfigManager.ReadConfig("nickname");
    public string? Usernick { get => _userNick; set { _userNick = value; OnPropertyChanged(nameof(Usernick)); } }

    private string? _selectedVersion = ConfigManager.ReadConfig("last-version-launched");
    public string? SelectedVersion { get => _selectedVersion; set { _selectedVersion = value; OnPropertyChanged(nameof(SelectedVersion)); } }

    private string? _runtimeLocation = ConfigManager.ReadConfig("runtime-path");
    public string? RuntimeLocation { get => _runtimeLocation; set { _runtimeLocation = value; OnPropertyChanged(nameof(RuntimeLocation)); } }
}
